> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lead.bank/llms.txt
> Use this file to discover all available pages before exploring further.

# List Account Entity Relationships

> Lists all entity relationships for a specific account.



## OpenAPI

````yaml GET /v0/accounts/{id}/entity_relationships
openapi: 3.0.1
info:
  title: Lead Bank
  description: Lead Bank's APIs
  version: v1.0
servers:
  - url: https://api.sandbox.lead.bank
  - url: https://api.lead.bank
security:
  - bearerAuth: []
tags:
  - name: ACH
  - name: Account Number
  - name: OAuth
  - name: Events
  - name: Instant Payments
  - name: Lending
  - name: Simulation
  - name: Internal Transfer
  - name: Disbursement
  - name: Entity
  - name: Wire
  - name: Originator
  - name: Funding
  - name: Balances
  - name: Compliance
  - name: UserAccount
  - name: Blockchain Payment
paths:
  /v0/accounts/{id}/entity_relationships:
    get:
      tags:
        - Compliance
      summary: List account entity relationships
      description: Lists all entity relationships for a specific account.
      operationId: list-account-entity-relationships
      parameters:
        - name: id
          in: path
          required: true
          description: Account ID
          schema:
            $ref: '#/components/schemas/AccountID'
        - name: limit
          in: query
          required: false
          description: Maximum number of results to return. Defaults to 25, max 100.
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 25
        - name: starting_after
          in: query
          required: false
          description: A cursor for pagination. Returns results starting after this cursor.
          schema:
            type: string
      responses:
        '200':
          description: List of entity relationships for the account.
          content:
            application/json:
              schema:
                type: object
                properties:
                  has_more:
                    type: boolean
                    description: >-
                      Indicates whether more results are available beyond this
                      page.
                  cursor:
                    type: string
                    description: >-
                      Cursor to retrieve the next page of results. Only present
                      when has_more is true.
                  objects:
                    type: array
                    items:
                      $ref: '#/components/schemas/EntityRelationship'
                required:
                  - has_more
                  - objects
        '400':
          description: Your request parameters did not validate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '401':
          description: Valid access token was not used to call the API.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '404':
          description: Account ID does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '429':
          description: Too many requests. Please slow down your request rate.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
        '500':
          description: Server error. Please try your request again.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    AccountID:
      type: string
      description: The ID of the Account object.
      example: account_xyz123
      pattern: ^account_\w+$
    EntityRelationship:
      type: object
      description: Common fields for entity relationships
      properties:
        entity_id:
          $ref: '#/components/schemas/EntityID'
        relationship_type:
          $ref: '#/components/schemas/EntityRelationshipType'
      required:
        - entity_id
        - relationship_type
    APIError:
      type: object
      properties:
        code:
          type: string
          description: The error code.
        title:
          type: string
          description: The error title.
        detail:
          type: string
          description: A detailed error description.
        status:
          type: string
          description: The HTTP status code.
        invalid_parameters:
          type: array
          description: Invalid request parameters with reasons, if applicable.
          items:
            $ref: '#/components/schemas/InvalidParameterDetail'
        instance:
          type: string
          description: >-
            The object causing this specific occurrence of the error, if
            applicable.
    EntityID:
      type: string
      description: The ID of your entity.
      example: entity_xyz123
      pattern: ^entity_[^\s]{1,33}$
    EntityRelationshipType:
      type: string
      description: Indicates the type of Entity
      enum:
        - account_holder
        - authorized_signer
        - authorized_user
    InvalidParameterDetail:
      type: object
      properties:
        parameter:
          type: string
          description: Which parameter is invalid.
          example: transaction_type
        reason:
          type: string
          description: Why the parameter is invalid.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````